ProLiant Servers (ML,DL,SL)
cancel
Showing results for 
Search instead for 
Did you mean: 

ML110 G4 RAID problem with SLES10

 
SOLVED
Go to solution
Mobster
Occasional Advisor

ML110 G4 RAID problem with SLES10

I have installed the latest version of SLES10 from the Novell site and downloaded the latest HP embedded SATA raid controller driver from the HP site.

The USB floppy drive install part came up with no new updates. So I went ahead and installed on a non-RAID drive to try and install the driver using the package manager.

Unfortunately this fails with the following, stating that the driver is for 2.6.16.21 kernel, whereas I appear to have 2.6.16.46

HP Storage Manager installs and works correctly, but doesn't see any supported controllers (as expected)

Can anyone advise where I can get the correct driver version? If not, what are my alternatives? Hack the current driver rpm? use openSuse 10.3 instead of SLES10?
7 REPLIES
TarunJain
Respected Contributor

Re: ML110 G4 RAID problem with SLES10

Dear Mobeen,

Can u check with the supported kernel version.
As that would be safest & reliable option

TarunJain
Mobster
Occasional Advisor

Re: ML110 G4 RAID problem with SLES10

Hi TanunJain,
Any ideas where I can get this specific version of the kernel? So far I have had no luck from HP site, novell site or openSuse site.
TarunJain
Respected Contributor
Solution

Re: ML110 G4 RAID problem with SLES10

Dear Mobeen,

It seems that u have downloaded the SUSE Linux Enterprise Server 10 Service Pack 1 but the drivers are avilable for older version, i.e. SUSE Linux Enterprise Server 10 without Service Pack.
It can be downloaded from Novell web site.
http://download.novell.com/Download?buildid=ABUnQ9759c0~
Following link is for Linux certification and support matrix - HP ProLiant servers,
It would help if u want to try any other version of Linux.
http://h18004.www1.hp.com/products/servers/linux/hpLinuxcert-novell.html

Hoping this information would be helpful & worth of recieving any point
Regards,
TarunJain
Mobster
Occasional Advisor

Re: ML110 G4 RAID problem with SLES10

TanunJain
Thanks for the link. I'm downloading now and will be installing over the next 24 hours. Will it be possible to upgrade back to SP1 once the driver has been installed? The HP site recommends using the latest available media for the OS used.
TarunJain
Respected Contributor

Re: ML110 G4 RAID problem with SLES10

Dear Mobeen,

Yes, after supccesful installation the SLES10 can be upgraded with sp1.

TarunJain
Jimmy Vance
HPE Pro

Re: ML110 G4 RAID problem with SLES10

It does not appear there is a driver for SLES10 SP1 yet. So to comment on other suggestiions in this thread, yes you can install SLES10. No, you won't be able to upgrade to SP1 as the driver is kernel specific and you will need a driver compiled against the SP1 kernel.

The driver might be available, but due to the changes of the driver support site lately not everything is showing up properly.



__________________________________________________
No support by private messages. Please ask the forum!      I work for HPE

If you feel this was helpful please click the KUDOS! thumb below!   
Mobster
Occasional Advisor

Re: ML110 G4 RAID problem with SLES10

TanunJain,
The nonSP1 install worked a treat and I was able to setup the RAID.

Jimmy,
I should have realised about the kernel specificness of the driver... but too late I updated to SP1 (and lost my X in the process also, but that back now at least!)

I have a couple of days to try and find an SP1 driver, otherwise its goodbye SP1 and re-install orig again.